List payout source accounts
curl --request GET \
--url https://payouts.api.trykarat.com/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://payouts.api.trykarat.com/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://payouts.api.trykarat.com/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "4f266e59-5dae-49f7-9ef9-9bdf6d2b7c86",
"name": "Primary checking",
"mask": "4242",
"type": "checking",
"status": "open",
"availableBalance": 250000
},
{
"id": "d65f87ee-04a5-455e-909c-67efc5a0ce63",
"name": "Operating account",
"mask": "9012",
"type": "checking",
"status": "open",
"availableBalance": null
}
]
}{
"error": {
"message": "Invalid api key"
}
}List payout source accounts
Returns the open Karat checking accounts that can fund payout batches for your organization. Use an account’s id as sourceAccountId when creating or filtering payments. Available balances are integers in cents.
GET
/
accounts
List payout source accounts
Authorizations
Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.
Response
The eligible payout source accounts. Returns an empty array when none are available. If a live balance cannot be retrieved for an otherwise eligible account, its availableBalance is null.
Show child attributes
Show child attributes